GuidesAPI ReferenceChangelogAPI StatusAPI PolicyGusto Security
API Reference
These docs are for v2024-03-01. Click to read the latest docs for v2026-02-01.

Prepare a payroll for update

This endpoint will build the payroll and get it ready for making updates. This includes adding/removing eligible employees from the Payroll and updating the check_date, payroll_deadline, and payroll_status_meta dates & times.

Notes:

  • Will null out calculated_at & totals if a payroll has already been calculated.
  • Will return the version param used for updating the payroll

scope: payrolls:write

Path Params
string
required

The UUID of the company

string
required

The UUID of the payroll

Body Params
employee_uuids
array of strings

An array of employee UUIDs. If passed, only those employees payroll items will be prepared.

employee_uuids
Headers
string
enum
Defaults to 2024-03-01

Determines the date-based API version associated with your API call. If none is provided, your application's minimum API version is used.

Allowed:
Responses

404

Not Found

The requested resource does not exist. Make sure the provided UUID is valid.

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json